Subject: Re: bug#25426: [PATCH] in net-utils.el several DNS query functions now take optional name server argument; also, `dig-program-options' added

From: Andrew Robbins <[email-masked]>
Date: Sun, 07 May 2017 04:02:47 -0400

[email-masked] writes:

> You could avoid repeating the "Look up host" code like this:
>
>     (list (read-from-minibuffer "Look up host: " (net-utils-machine-at-point))
>           (if current-prefix-arg (read-from-minibuffer "Name server: ")))

Nice.  I thought it looked a bit weird when I wrote that bit, but
your simplification is better.

> Similarly
>
>     (append nslookup-program-options (list host)
>             (if name-sever (list name-server)))

Same as above.

>> -      (mapconcat 'identity
>> -		(list "Nslookup" host nslookup-program)
>> -		" ** "))
>> +	     (mapconcat 'identity
>> +		        (list "Nslookup" host nslookup-program)
>> +		        " ** "))
>
> This is just a whitespace change, right?

Yes.  I dropped the whitespace changes in this newest patch.